(function ($) {

    "use strict";

    $(window).on('elementor/frontend/init', function () {

        window.elementorFrontend.hooks.addAction('frontend/element_ready/qodex-dropbar.default', function ($scope) {

            var $dropbar = $scope.find('.qodex-dropbar'),
                $dropbar_inner = $dropbar.find('.qodex-dropbar__inner'),
                $btn = $dropbar.find('.qodex-dropbar__button'),
                $content = $dropbar.find('.qodex-dropbar__content'),
                $close = $dropbar.find('.btn-close-dropbar'),
                settings = $dropbar.data('settings') || {},
                mode = settings['mode'] || 'hover',
                hide_delay = +settings['hide_delay'] || 0,
                activeClass = 'qodex-dropbar-open',
                scrollOffset,
                timer;

            if ('click' === mode) {
                $btn.on('click.qodexDropbar', function (e) {
                    $dropbar.toggleClass(activeClass);
                });
                $close.on('click.qodexDropbar', function (e){
                    $dropbar.removeClass(activeClass);
                });
            }
            else {
                if ('ontouchstart' in window || 'ontouchend' in window) {
                    $btn.on('touchend.qodexDropbar', function (e) {
                        if ($(window).scrollTop() !== scrollOffset) {
                            return;
                        }

                        $dropbar.toggleClass(activeClass);
                    });
                } else {
                    $dropbar_inner.on('mouseenter.qodexDropbar', function (e) {
                        clearTimeout(timer);
                        $dropbar.addClass(activeClass);
                    });

                    $dropbar_inner.on('mouseleave.qodexDropbar', function (e) {
                        timer = setTimeout(function () {
                            $dropbar.removeClass(activeClass);
                        }, hide_delay);
                    });
                }
            }

            $(document).on('touchstart.qodexDropbar', function (e) {
                scrollOffset = $(window).scrollTop();
            });

            $(document).on('click.qodexDropbar touchend.qodexDropbar', function (event) {

                if ('touchend' === event.type && $(window).scrollTop() !== scrollOffset) {
                    return;
                }

                if ($(event.target).closest($btn).length || $(event.target).closest($content).length) {
                    return;
                }

                if (!$dropbar.hasClass(activeClass)) {
                    return;
                }

                $dropbar.removeClass(activeClass);
            });
        });
    });

}(jQuery));