(function ($) {
    "use strict";

    var Qodex = window.Qodex || {};

    Qodex.component = window.Qodex.component || {};

    var $document = $(document),
        $window = $(window),
        $body = $('body');

    // Initialize global variable
    function clone_widget() {
        var $header_builder = $('#qodex-header-builder');
        var $element_placeholders = $('.qohb-element--placeholder', $header_builder);
        var $element2_placeholders = $('.qohb-element--placeholder2', $header_builder);

        //Move Header Vertical element keep stylesheet;
        if($('.qohb-vcom', $header_builder).length){
            $('<div/>', {
                "class": 'qohb-screen-view qohb-desktop-view qohb-varea'
            }).appendTo($header_builder);
            $('.qohb-vcom', $header_builder).appendTo($('.qohb-varea'));
        }
        $('.qohb-varea .qohb-vertical .qohb-content-wrap').append('<div class="qohb-voverlay"></div>');

        $element_placeholders.each(function () {
            var _elmID = $(this).data('element-id');
            var $target_elm = $('.qohb-element[data-element-id="'+_elmID+'"]:not(.qohb-element--placeholder)', $header_builder).first();
            var $elm_clone = $target_elm.clone();
            $elm_clone.removeAttr('itemscope').removeAttr('itemtype');
            $elm_clone.find('.la-ajax-searchform').removeClass('has-init');
            $elm_clone.find('.qohb-element--dontcopy').remove();

            //do not copy primary menu on mobile panel
            if($(this).closest('.qohb-mobiles-view').length && $elm_clone.hasClass('qohb-nav-wrap') && $('.qohb-element.qohb-element--placeholder2[data-element2-id="'+_elmID+'"]', $header_builder).length){
                $(this).remove();
            }
            else{
                $(this).replaceWith($elm_clone);
            }
        });

        // Copy icon of primary for mobile panel
        $element2_placeholders.each(function () {
            var _elmID = $(this).data('element2-id');
            var $target_elm = $('.qohb-element[data-element2-id="'+_elmID+'"]:not(.qohb-element--placeholder2)', $header_builder).first();
            var $elm_clone = $target_elm.clone();
            $(this).replaceWith($elm_clone);
        });
        // Remove the target when the copy is complete
        //$('.qohb-desktop-view .qohb-element[data-element2-id]', $header_builder).remove();
    }

    $(document).on('Qodex:Document:BeforeRunScript', function (e) {
        clone_widget();
    });

    var HeaderBuilder = {

        init: function(){

            var $header_builder = $('#qodex-header-builder');

            // Navigation Current Menu
            $('.menu li.current-menu-item, .menu li.current_page_item, #side-nav li.current_page_item, .menu li.current-menu-ancestor, .menu li ul li ul li.current-menu-item , .hamburger-nav li.current-menu-item, .hamburger-nav li.current_page_item, .hamburger-nav li.current-menu-ancestor, .hamburger-nav li ul li ul li.current-menu-item, .full-menu li.current-menu-item, .full-menu li.current_page_item, .full-menu li.current-menu-ancestor, .full-menu li ul li ul li.current-menu-item ').addClass('current');
            $('.menu li ul li:has(ul)').addClass('submenu');


            // Search Full
            var $header_search_typefull = $('.header-search-full-wrap').first();

            if($header_search_typefull.length){
                $('.searchform-fly > p').replaceWith($header_search_typefull.find('.searchform-fly-text'));
                $('.searchform-fly > .search-form').replaceWith($header_search_typefull.find('.search-form'));
                $('.header-search-full-wrap').remove();
                $('.searchform-fly-overlay').removeClass('has-init');
            }

            // Social dropdown
            $('.qohb-social .js-social_trigger_dropdown').on('click', function (e) {
                e.preventDefault();
                $(this).siblings('.header-social-dropdown-wrap').fadeToggle('fast');
            });
            $('.header-social-dropdown-wrap a').on('click', function (e) {
                $('.header-social-dropdown-wrap').css({
                    display: 'none'
                });
            });

            // Social Toggles
            $('.qohb-social .js-social_trigger_slide').on('click', function (e) {
                e.preventDefault();
                if( $header_builder.find('.la-header-social').hasClass('opened') ) {
                    $header_builder.find('.main-slide-toggle').slideUp('opened');
                    $header_builder.find('.la-header-social').removeClass('opened');
                }
                else{
                    $header_builder.find('.main-slide-toggle').slideDown(240);
                    $header_builder.find('#header-search-modal').slideUp(240);
                    $header_builder.find('#header-social-modal').slideDown(240);
                    $header_builder.find('.la-header-social').addClass('opened');
                    $header_builder.find('.la-header-search').removeClass('opened');
                }
            });

            $document.on('click', function (e) {
                if( $(e.target).hasClass('js-social_trigger_slide')){
                    return;
                }
                if ($header_builder.find('.la-header-social').hasClass('opened')) {
                    $header_builder.find('.main-slide-toggle').slideUp('opened');
                    $header_builder.find('.la-header-social').removeClass('opened');
                }
            });

            // Search full

            $('.qohb-cart > a').on('click', function (e) {
                if(!$(this).closest('.qohb-cart').hasClass('force-display-on-mobile')){
                    if($window.width() > 767){
                        e.preventDefault();
                        $('body').toggleClass('open-cart-aside');
                    }
                }
                else{
                    e.preventDefault();
                    $('body').toggleClass('open-cart-aside');
                }
            });

            $('.qohb-search.qohb-header-full > a').on('click', function (e) {
                e.preventDefault();
                $('body').addClass('open-search-form');
                setTimeout(function(){
                    $('.searchform-fly .search-field').focus();
                }, 600);
            });

            // Search Toggles
            $('.qohb-search .js-search_trigger_slide').on('click', function (e) {
                e.preventDefault();
                if ($header_builder.find('.la-header-search').hasClass('opened')) {
                    $header_builder.find('.main-slide-toggle').slideUp('opened');
                    $header_builder.find('.la-header-search').removeClass('opened');
                }
                else {
                    $header_builder.find('.main-slide-toggle').slideDown(240);
                    $header_builder.find('#header-social-modal').slideUp(240);
                    $header_builder.find('#header-search-modal').slideDown(240);
                    $header_builder.find('.la-header-search').addClass('opened');
                    $header_builder.find('.la-header-social').removeClass('opened');
                    $header_builder.find('#header-search-modal .search-field').focus();
                }
            });

            $document.on('click', function (e) {
                if( $(e.target).hasClass('js-search_trigger_slide') || $(e.target).closest('.la-header-search').length ) {
                    return;
                }
                if ($header_builder.find('.la-header-search').hasClass('opened')) {
                    $header_builder.find('.main-slide-toggle').slideUp('opened');
                    $header_builder.find('.la-header-search').removeClass('opened');
                }
            });


            if ($.fn.niceSelect) {
                $('.la-polylang-switcher-dropdown select').niceSelect();
            }

            if ($.fn.superfish) {
                $('.qohb-area:not(.qohb-vertical) .qohb-nav-wrap:not(.has-megamenu) ul.menu').superfish({
                    delay: 300,
                    hoverClass: 'la-menu-hover',
                    animation: {
                        opacity: "show",
                        height: 'show'
                    },
                    animationOut: {
                        opacity: "hide",
                        height: 'hide'
                    },
                    easing: 'easeOutQuint',
                    speed: 100,
                    speedOut: 0,
                    pathLevels: 2
                });
            }

            $('.qohb-nav-wrap .menu li a').addClass('hcolorf');

            // Hamburger Menu
            var $hamurgerMenuWrapClone = $('.hamburger-type-toggle').find('.hamburger-menu-wrap');
            if ($hamurgerMenuWrapClone.length > 0) {
                $hamurgerMenuWrapClone.appendTo('body');
                $('.hamburger-type-toggle .la-hamuburger-bg').remove();
            }

            if ($('.hamburger-menu-wrap').hasClass('toggle-right')) {
                $('body').addClass('qohb-body lahmb-right');
            }
            else if ($('.hamburger-menu-wrap').hasClass('toggle-left')) {
                $('body').addClass('qohb-body lahmb-left');
            }

            if ($.fn.niceScroll) {
                //Hamburger Nicescroll
                $('.hamburger-menu-main').niceScroll({
                    scrollbarid: 'qohb-hamburger-scroll',
                    cursorwidth: "5px",
                    autohidemode: true
                });
            }

            $('.btn-close-hamburger-menu').on('click', function (e) {
                e.preventDefault();
                $body.removeClass('is-open');
                $('.qohb-hamburger-menu').removeClass('is-open');
                $('.hamburger-menu-wrap').removeClass('hm-open');
                if($.fn.getNiceScroll){
                    $('.hamburger-menu-main').getNiceScroll().resize();
                }
            });

            $('.hamburger-type-toggle a.qohb-icon-element').on('click', function (e) {
                e.preventDefault();
                var $that = $(this),
                    $_parent = $that.closest('.qohb-hamburger-menu'),
                    _cpt_id = $that.attr('data-id');

                if($_parent.hasClass('is-open')){
                    $('.btn-close-hamburger-menu').trigger('click');
                }
                else{
                    $_parent.addClass('is-open');
                    $body.addClass('is-open');
                    $body.find('.hamburger-menu-wrap.hamburger-menu-wrap-' + _cpt_id).addClass('hm-open');
                    if($.fn.getNiceScroll){
                        $('.hamburger-menu-main').getNiceScroll().resize();
                    }
                }

            });



            $('.hamburger-nav.toggle-menu').find('li').each(function () {
                var $list_item = $(this);

                if ($list_item.children('ul').length) {
                    $list_item.children('a').append('<i class="hamburger-nav-icon qodexicon-down-arrow"></i>');
                }

                $('> a > .hamburger-nav-icon', $list_item).on('click', function (e) {
                    e.preventDefault();
                    var $that = $(this);
                    if( $that.hasClass('active') ){
                        $that.removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                        $('>ul', $list_item).stop().slideUp();
                    }
                    else{
                        $that.removeClass('qodexicon-down-arrow').addClass('qodexicon-up-arrow active');
                        $('>ul', $list_item).stop().slideDown(350, function () {
                            if($.fn.getNiceScroll){
                                $('.hamburger-menu-main').getNiceScroll().resize();
                            }
                        });
                    }
                })
            });

            //Full hamburger Menu
            $('.hamburger-type-full .js-hamburger_trigger').on('click', function (e) {
                e.preventDefault();
                var $that = $(this);
                if( $that.hasClass('open-button') ){
                    $('.la-hamburger-wrap-' + $that.data('id')).removeClass('open-menu');
                    $that.removeClass('open-button').addClass('close-button');
                    $('body').removeClass('opem-qohb-iconmenu');
                }
                else{
                    $('.la-hamburger-wrap-' + $that.data('id')).addClass('open-menu');
                    $that.removeClass('close-button').addClass('open-button');
                    $('body').addClass('opem-qohb-iconmenu');
                }
            });

            $('.btn-close-hamburger-menu-full').on('click', function (e) {
                e.preventDefault();
                $('.js-hamburger_trigger').removeClass('open-button').addClass('close-button');
                $('.la-hamburger-wrap').removeClass('open-menu');
                $('body').removeClass('opem-qohb-iconmenu');
            });

            $('.full-menu li > ul').each(function () {
                var $ul = $(this);
                $ul.prev('a').append('<i class="hamburger-nav-icon qodexicon-down-arrow"></i>');
            });

            $('.full-menu').on('click', 'li .hamburger-nav-icon', function (e) {
                e.preventDefault();
                var $that = $(this),
                    $li_parent = $that.closest('li');

                if ($li_parent.hasClass('open')) {
                    $that.removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                    $li_parent.removeClass('open');
                    $li_parent.find('li').removeClass('open');
                    $li_parent.find('ul').stop().slideUp();
                    $li_parent.find('.hamburger-nav-icon').removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                }
                else {
                    $li_parent.addClass('open');
                    $that.removeClass('qodexicon-down-arrow').addClass('active qodexicon-up-arrow');
                    $li_parent.find('>ul').stop().slideDown();
                    $li_parent.siblings().removeClass('open').find('ul').stop().slideUp();
                    $li_parent.siblings().find('li').removeClass('open');
                    $li_parent.siblings().find('.hamburger-nav-icon').removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                }
            });

            $('.touchevents .full-menu').on('touchend', 'li .hamburger-nav-icon', function (e) {
                e.preventDefault();
                var $that = $(this),
                    $li_parent = $that.closest('li');

                if ($li_parent.hasClass('open')) {
                    $that.removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                    $li_parent.removeClass('open');
                    $li_parent.find('li').removeClass('open');
                    $li_parent.find('ul').stop().slideUp();
                    $li_parent.find('.hamburger-nav-icon').removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                }
                else {
                    $li_parent.addClass('open');
                    $that.removeClass('qodexicon-down-arrow').addClass('active qodexicon-up-arrow');
                    $li_parent.find('>ul').stop().slideDown();
                    $li_parent.siblings().removeClass('open').find('ul').stop().slideUp();
                    $li_parent.siblings().find('li').removeClass('open');
                    $li_parent.siblings().find('.hamburger-nav-icon').removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                }
            });

            // Toggle search form
            $('.qohb-search .js-search_trigger_toggle').on('click', function (e) {
                e.preventDefault();
                $(this).siblings('.qohb-search-form-box').toggleClass('show-sbox');
            });

            $document.on('click', function (e) {
                if( $(e.target).hasClass('js-search_trigger_toggle') || $(e.target).closest('.js-search_trigger_toggle').length){
                    return;
                }
                if( $('.qohb-search-form-box').length ) {
                    if( $(e.target).closest('.qohb-search-form-box').length == 0){
                        $('.qohb-search-form-box').removeClass('show-sbox');
                    }
                }
            });

            // Responsive Menu
            $('.qohb-responsive-menu-icon-wrap').on('click', function (e) {
                e.preventDefault();
                var $toggleMenuIcon = $(this),
                    uniqid = $toggleMenuIcon.data('uniqid'),
                    $responsiveMenu = $('.qohb-responsive-menu-wrap[data-uniqid="' + uniqid + '"]'),
                    $closeIcon = $responsiveMenu.find('.close-responsive-nav'),
                    _dir = $responsiveMenu.hasClass('hm-res_m-pos--right') ? 'right' : 'left';

                if ($responsiveMenu.hasClass('open') === false) {
                    $toggleMenuIcon.addClass('open-icon-wrap').children().addClass('open');
                    $closeIcon.addClass('open-icon-wrap').children().addClass('open');

                    if(_dir == 'right'){
                        $responsiveMenu.animate({'right': 0}, 350)
                    }
                    else{
                        $responsiveMenu.animate({'left': 0}, 350)
                    }
                    $responsiveMenu.addClass('open');
                }
                else {
                    $toggleMenuIcon.removeClass('open-icon-wrap').children().removeClass('open');
                    $closeIcon.removeClass('open-icon-wrap').children().removeClass('open');
                    if(_dir == 'right'){
                        $responsiveMenu.animate({'right': -1 * $responsiveMenu.outerWidth()}, 350)
                    }
                    else{
                        $responsiveMenu.animate({'left': -1 * $responsiveMenu.outerWidth()}, 350)
                    }
                    $responsiveMenu.removeClass('open');
                }
            });

            $('.qohb-responsive-menu-wrap').each(function () {
                var $this = $(this),
                    uniqid = $this.data('uniqid'),
                    $responsiveMenu = $this.clone(),
                    $closeIcon = $responsiveMenu.find('.close-responsive-nav'),
                    $toggleMenuIcon = $('.qohb-responsive-menu-icon-wrap[data-uniqid="' + uniqid + '"]'),
                    _dir = $responsiveMenu.hasClass('hm-res_m-pos--right') ? 'right' : 'left';

                // append responsive menu to qodex header builder wrap
                $this.remove();
                $('#qodex-header-builder').append($responsiveMenu);

                // add arrow down to parent menus
                $responsiveMenu.find('li').each(function () {
                    var $list_item = $(this);

                    if ($list_item.children('ul').length) {
                        $list_item.children('a').append('<i class="qodexicon-down-arrow respo-nav-icon"></i>');
                    }

                    $('> a > .respo-nav-icon', $list_item).on('click', function (e) {
                        e.preventDefault();
                        var $that = $(this);
                        if( $that.hasClass('active') ){
                            $that.removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                            $('>ul', $list_item).stop().slideUp(350);
                        }
                        else{
                            $that.removeClass('qodexicon-down-arrow').addClass('qodexicon-up-arrow active');
                            $('>ul', $list_item).stop().slideDown(350);
                        }
                    });
                });

                // close responsive menu
                $closeIcon.on('click', function (e) {
                    e.preventDefault();
                    if ($toggleMenuIcon.hasClass('open-icon-wrap')) {
                        $toggleMenuIcon.removeClass('open-icon-wrap').children().removeClass('open');
                        $closeIcon.removeClass('open-icon-wrap').children().removeClass('open');
                    }
                    else {
                        $toggleMenuIcon.addClass('open-icon-wrap').children().addClass('open');
                        $closeIcon.addClass('open-icon-wrap').children().addClass('open');
                    }
                    if ($responsiveMenu.hasClass('open') === true) {
                        if(_dir == 'right'){
                            $responsiveMenu.animate({'right': -1 * $responsiveMenu.outerWidth() }, 350)
                        }
                        else{
                            $responsiveMenu.animate({'left': -1 * $responsiveMenu.outerWidth() }, 350)
                        }
                        $responsiveMenu.removeClass('open')
                    }
                });

                $responsiveMenu.on('click', 'li.menu-item:not(.menu-item-has-children) > a', function (e) {
                    $toggleMenuIcon.removeClass('open-icon-wrap').children().removeClass('open');
                    $closeIcon.removeClass('open-icon-wrap').children().removeClass('open');
                    if(_dir == 'right'){
                        $responsiveMenu.animate({'right': -1 * $responsiveMenu.outerWidth() }, 350)
                    }
                    else{
                        $responsiveMenu.animate({'left': -1 * $responsiveMenu.outerWidth() }, 350)
                    }
                    $responsiveMenu.removeClass('open')
                });
            });

            // Login Dropdown

            $('.qohb-login-form .input-text').each(function () {
                if($(this).siblings('label').length){
                    $(this).attr('placeholder', $(this).siblings('label').text());
                }
            });

            $('.qohb-login .js-login_trigger_dropdown').each(function () {
                var $this = $(this);
                if($this.siblings('.qohb-modal-login').length == 0){
                    $('.qohb-modal-login.la-element-dropdown').first().clone().appendTo($this.parent());
                }
            });

            $('.qohb-login .js-login_trigger_dropdown').on('click', function (e) {
                e.preventDefault();
                $(this).siblings('.qohb-modal-login').fadeToggle('fast');
            });


            // Contact Dropdown
            $('.qohb-contact .js-contact_trigger_dropdown').on('click', function (e) {
                e.preventDefault();
                $(this).siblings('.la-contact-form').fadeToggle('fast');
            });
            $document.on('click', function (e) {
                if( $(e.target).hasClass('js-contact_trigger_dropdown')){
                    return;
                }
                if( $('.la-contact-form.la-element-dropdown').length ) {
                    if($(e.target).closest('.la-contact-form.la-element-dropdown').length == 0){
                        $('.la-contact-form.la-element-dropdown').css({
                            'display': 'none'
                        })
                    }
                }
            });


            // Icon Menu Dropdown

            $('.qohb-icon-menu .js-icon_menu_trigger').on('click', function (e) {
                e.preventDefault();
                $(this).siblings('.qohb-icon-menu-content').fadeToggle('fast');
            });

            $document.on('click', function (e) {
                if( $(e.target).hasClass('js-icon_menu_trigger')){
                    return;
                }
                if( $('.la-element-dropdown.qohb-icon-menu-content').length ) {
                    if($(e.target).closest('.la-element-dropdown.qohb-icon-menu-content').length == 0){
                        $('.la-element-dropdown.qohb-icon-menu-content').css({
                            'display': 'none'
                        })
                    }
                }
            });

            // Wishlist Dropdown
            $('.qohb-wishlist').each(function (index, el) {
                $(this).find('#la-wishlist-icon').on('click', function (event) {
                    $(this).siblings('.la-header-wishlist-wrap').fadeToggle('fast', function () {
                        if ($(".la-header-wishlist-wrap").is(":visible")) {
                            $(document).on('click', function (e) {
                                var target = $(e.target);
                                if (target.parents('.qohb-wishlist').length)
                                    return;
                                $(".la-header-wishlist-wrap").css({
                                    display: 'none'
                                });
                            });
                        }
                    });
                });
            });

            $('.la-header-wishlist-content-wrap').find('.la-wishlist-total').addClass('colorf');


            /* Profile Socials */
            $('.qohb-profile-socials-text')
                .on('mouseenter', function () {
                    $(this).closest('.qohb-profile-socials-wrap').find('.qohb-profile-socials-icons').removeClass('profile-socials-hide').addClass('profile-socials-show');
                })
                .on('mouseleave', function () {
                    $(this).closest('.qohb-profile-socials-wrap').find('.qohb-profile-socials-icons').removeClass('profile-socials-show').addClass('profile-socials-hide');
                });


            /* Vertical Header */

            // Toggle Vertical
            $('.qohb-vertical-toggle-wrap .vertical-toggle-icon').on('click', function (e) {
                e.preventDefault();
                if($body.hasClass('open-qohb-vertical')){
                    $body.removeClass('open-qohb-vertical');
                }
                else{
                    $body.addClass('open-qohb-vertical');
                }
            });

            // Vertical Menu
            $('.qohb-vertical .qohb-nav-wrap:not(.qohb-vertital-menu_nav)').removeClass('has-megamenu has-parent-arrow');
            $('.qohb-vertical .qohb-nav-wrap:not(.qohb-vertital-menu_nav) li.mega').removeClass('mega');
            $('.qohb-vertical .qohb-nav-wrap:not(.qohb-vertital-menu_nav) li.mm-popup-wide').removeClass('mm-popup-wide');
            $('.qohb-vertical .qohb-nav-wrap:not(.qohb-vertital-menu_nav) .menu li').each(function () {
                var $list_item = $(this);

                if ($list_item.children('ul').length) {
                    $list_item.children('a').removeClass('sf-with-ul').append('<i class="qodexicon-down-arrow qohb-vertical-nav-icon"></i>');
                }

                $('> a > .qohb-vertical-nav-icon', $list_item).on('click', function (e) {
                    e.preventDefault();
                    var $that = $(this);
                    if( $that.hasClass('active') ){
                        $that.removeClass('active qodexicon-up-arrow').addClass('qodexicon-down-arrow');
                        $('>ul', $list_item).stop().slideUp();
                    }
                    else {
                        $that.removeClass('qodexicon-down-arrow').addClass('qodexicon-up-arrow active');
                        $('>ul', $list_item).stop().slideDown();
                    }
                });

            });

            $document.on('keyup', function (e) {
                if(e.keyCode == 27){
                    $body.removeClass('is-open open-search-form open-cart-aside open-qohb-vertical');
                    $('.hamburger-menu-wrap').removeClass('hm-open');
                    $('.qohb-hamburger-menu.hamburger-type-toggle').removeClass('is-open');
                    $('.qohb-hamburger-menu.hamburger-type-full .hamburger-op-icon').removeClass('open-button').addClass('close-button');
                    $('.la-hamburger-wrap').removeClass('open-menu');
                }
            });

            $('.qohb-mobiles-view .qohb-vertital-menu_nav').removeClass('has-parent-arrow');
            var $mb_vertial_menus = $('.qohb-mobiles-view .qohb-vertital-menu_nav > .menu');
            if($mb_vertial_menus.length){
                $mb_vertial_menus.each(function () {
                    var $_that = $(this).clone();
                    var $mb_v_parent = $(this).parent();
                    $(this).remove();
                    $_that.find('.mm-popup-wide').removeClass('mm-popup-wide mega');
                    $_that.find('.mm-popup-narrow').removeClass('mm-popup-narrow');
                    $_that.find('.mm-mega-ul').each(function () {
                        $(this).unwrap().unwrap().removeClass('mm-mega-ul').addClass('sub-menu');
                        $('>li', $(this)).removeAttr('style').removeClass('submenu');
                    });
                    $_that.find('> li > ul').each(function () {
                        $(this).before('<span class="narrow"><i></i></span>');
                    });
                    $_that.on('click', 'li > .narrow', function (e) {
                        e.preventDefault();
                        var $parent = $(this).parent();
                        if ($parent.hasClass('open')) {
                            $parent.removeClass('open');
                            $parent.find('>ul').stop().slideUp();
                        }
                        else {
                            $parent.addClass('open');
                            $parent.find('>ul').stop().slideDown();
                            $parent.siblings().removeClass('open').find('>ul').stop().slideUp();
                        }
                    });
                    $_that.appendTo($mb_v_parent);
                });
            }


            $( '.la-ajax-searchform' ).each(function () {
                Qodex.core.InstanceSearch($(this));
            });

            $document.on('click', function (e) {
                if( $(e.target).closest('.la-ajax-searchform').length ) {
                    return;
                }
                $('.la-ajax-searchform .results-container').hide();
            })

        },

        reloadAllEvents: function () {
            clone_widget();
            $('body > .hamburger-menu-wrap').remove();
            Qodex.component.HeaderBuilder.init();
            Qodex.core.HeaderSticky();
            Qodex.core.MegaMenu();
            $window.trigger('scroll');
            console.log('ok -- reloadAllEvents!');
        }
    }

    Qodex.component.HeaderBuilder = HeaderBuilder;

    $(function () {
        Qodex.component.HeaderBuilder.init();
        var $log1 = $('.entry .woocommerce .woocommerce-notices-wrapper'),
            $log2 = $('.qohb-login-form .woocommerce-notices-wrapper');

        if($log1.length){
            if($log2.length){
                $log1.html($log2.html());
                $log2.remove();
            }
        }
        else{
            if($log2.find('>div').length){
                var $plog2 = $log2.closest('.qohb-login');
                $plog2.find('.qohb-modal-target-link').first().trigger('click');
            }
        }
        $(document)
            .on('click', '.qohb-btn-register', function (e) {
                if($('.qohb-login-form #customer_login .col-2').length){
                    e.preventDefault();
                    $('.qohb-login > a').first().trigger('click');
                    $('#customer_login .col-1').removeClass('active');
                    $('#customer_login .col-2').addClass('active');
                }
            })
            .on('click', '.qohb-login .qohb-modal-target-link', function (e) {
                $('#customer_login .col-1').addClass('active');
                $('#customer_login .col-2').removeClass('active');
            })
    });

})(jQuery);