<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$logo = medzin_get_option('logo');
$default_logo = get_theme_file_uri('/assets/images/logo.svg');
?>
<div class="qohbhouter qohbhouter-default-header">
    <div class="qohbhinner">
        <div class="main-slide-toggle"></div>
        <div class="qohb-screen-view qohb-desktop-view">
            <div class="qohb-area qohb-row1-area qohb-content-middle header-area-padding qohb-area__auto">
                <div class="container">
                    <div class="qohb-content-wrap qohb-area__auto">
                        <div class="qohb-col qohb-col__left">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="qohb-element qohb-logo">
                                <?php
                                $logo_src = $default_logo;
                                if(!empty($logo) && wp_attachment_is_image($logo)){
                                    $logo_src = wp_get_attachment_image_url( $logo, 'full' );
                                }
                                echo sprintf(
                                    '<img class="qohb-logo" src="%1$s" alt="%2$s"/>',
                                    esc_url($logo_src),
                                    esc_attr(get_bloginfo('name'))
                                );
                                ?>
                            </a>
                        </div>
                        <div class="qohb-col qohb-col__center"></div>
                        <div class="qohb-col qohb-col__right">
                            <div class="hm-res_m-pos--left qohb-responsive-menu-wrap qohb-responsive-menu-1546041916358" data-uniqid="1546041916358">
                                <div class="close-responsive-nav">
                                    <div class="qohb-menu-cross-icon"></div>
                                </div>
                                <ul class="responav menu">
                                    <?php

                                    $menu_output = wp_nav_menu( array(
                                        'theme_location' => 'main-nav',
                                        'container'     => false,
                                        'link_before'   => '',
                                        'link_after'    => '',
                                        'items_wrap'    => '%3$s',
                                        'echo'          => false,
                                        'fallback_cb'   => array( 'Medzin_MegaMenu_Walker', 'fallback' ),
                                        'walker'        => new Medzin_MegaMenu_Walker
                                    ));
                                    echo medzin_render_variable($menu_output);
                                    ?>
                                </ul>
                            </div>
                            <nav class="qohb-element qohb-nav-wrap nav__wrap_1546041916358 " data-uniqid="1546041916358"><ul class="menu"><?php echo medzin_render_variable($menu_output); ?></ul></nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="qohb-screen-view qohb-tablets-view">
            <div class="qohb-area qohb-row1-area qohb-content-middle header-area-padding qohb-area__auto">
                <div class="container">
                    <div class="qohb-content-wrap qohb-area__auto">
                        <div class="qohb-col qohb-col__left">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="qohb-element qohb-logo">
                                <?php
                                echo sprintf(
                                    '<img class="qohb-logo" src="%1$s" alt="%2$s"/>',
                                    esc_url($logo_src),
                                    esc_attr(get_bloginfo('name'))
                                );
                                ?>
                            </a>
                        </div>
                        <div class="qohb-col qohb-col__center"></div>
                        <div class="qohb-col qohb-col__right">
                            <div class="qohb-element qohb-responsive-menu-icon-wrap nav__res_hm_icon_1546041916358" data-uniqid="1546041916358"><a href="#"><i class="qodexicon-menu-3-2"></i></a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="qohb-screen-view qohb-mobiles-view">
            <div class="qohb-area qohb-row1-area qohb-content-middle header-area-padding qohb-area__auto">
                <div class="container">
                    <div class="qohb-content-wrap qohb-area__auto">
                        <div class="qohb-col qohb-col__left">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="qohb-element qohb-logo">
                                <?php
                                echo sprintf(
                                    '<img class="qohb-logo" src="%1$s" alt="%2$s"/>',
                                    esc_url($logo_src),
                                    esc_attr(get_bloginfo('name'))
                                );
                                ?>
                            </a>
                        </div>
                        <div class="qohb-col qohb-col__center"></div>
                        <div class="qohb-col qohb-col__right 22">
                            <div class="qohb-element qohb-responsive-menu-icon-wrap nav__res_hm_icon_1546041916358" data-uniqid="1546041916358"><a href="#"><i class="qodexicon-menu-3-2"></i></a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="qohb-wrap-sticky-height"></div>
</div>