<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

add_action( 'tgmpa_register', 'medzin_register_required_plugins' );

if(!function_exists('lasf_get_plugin_source')){
    function lasf_get_plugin_source( $new, $initial, $plugin_name, $type = 'source'){
        if(isset($new[$plugin_name], $new[$plugin_name][$type]) && version_compare($initial[$plugin_name]['version'], $new[$plugin_name]['version']) < 0 ){
            return $new[$plugin_name][$type];
        }
        else{
            return $initial[$plugin_name][$type];
        }
    }
}

if(!function_exists('medzin_register_required_plugins')){

	function medzin_register_required_plugins() {

        $initial_required = array(
            'qodex' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/qodex/plugins/qodex_v1.0.3.zip',
                'version'   => '1.0.3'
            ),
            'qodex-header-builders' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/qodex/plugins/qodex-header-builders_v1.0.1.zip',
                'version'   => '1.0.1'
            ),
            'revslider' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/shared/plugins/revslider_v6.5.7.zip',
                'version'   => '6.5.7'
            ),
            'medzin-demo-data' => array(
                'source'    => 'https://la-studioweb.com/file-resouces/qodex/plugins/medzin-demo-data_v1.0.0.zip',
                'version'   => '1.0.0'
            )
        );

        $from_option = get_option('medzin_required_plugins_list', $initial_required);

		$plugins = array();

		$plugins[] = array(
			'name'					=> esc_html_x('Qodex Core', 'admin-view', 'medzin'),
			'slug'					=> 'qodex',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'qodex'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'qodex', 'version')
		);

		$plugins[] = array(
			'name'					=> esc_html_x('Qodex Header Builder', 'admin-view', 'medzin'),
			'slug'					=> 'qodex-header-builders',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'qodex-header-builders'),
            'required'				=> true,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'qodex-header-builders', 'version')
		);

        $plugins[] = array(
            'name' 					=> esc_html_x('Elementor', 'admin-view', 'medzin'),
            'slug' 					=> 'elementor',
            'required' 				=> true,
            'version'				=> '3.4.3'
        );

		$plugins[] = array(
			'name'     				=> esc_html_x('WooCommerce', 'admin-view', 'medzin'),
			'slug'     				=> 'woocommerce',
			'version'				=> '5.6.0',
			'required' 				=> false
		);
        
        $plugins[] = array(
			'name'     				=> esc_html_x('Medzin Package Demo Data', 'admin-view', 'medzin'),
			'slug'					=> 'medzin-demo-data',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'medzin-demo-data'),
            'required'				=> false,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'medzin-demo-data', 'version')
		);

		$plugins[] = array(
			'name'     				=> esc_html_x('Envato Market', 'admin-view', 'medzin'),
			'slug'     				=> 'envato-market',
			'source'   				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'required' 				=> false,
			'version' 				=> '2.0.6'
		);

		$plugins[] = array(
			'name' 					=> esc_html_x('Contact Form 7', 'admin-view', 'medzin'),
			'slug' 					=> 'contact-form-7',
			'required' 				=> false
		);

		$plugins[] = array(
			'name'					=> esc_html_x('Slider Revolution', 'admin-view', 'medzin'),
			'slug'					=> 'revslider',
            'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider'),
            'required'				=> false,
            'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider', 'version')
		);

		$config = array(
			'id'           				=> 'medzin',
			'default_path' 				=> '',
			'menu'         				=> 'tgmpa-install-plugins',
			'has_notices'  				=> true,
			'dismissable'  				=> true,
			'dismiss_msg'  				=> '',
			'is_automatic' 				=> false,
			'message'      				=> ''
		);

		tgmpa( $plugins, $config );

	}

}
